ScXMLScriptElt(3)

NAME
ScXMLScriptElt - implements the <script> SCXML element.

SYNOPSIS

#include <Inventor/scxml/ScXMLScriptElt.h>

Inherits ScXMLExecutableElt.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void copyContents (const ScXMLElt *rhs)
virtual void execute (ScXMLStateMachine *statemachine) const

  Static Public Member Functions
static ScXMLEltReader * getElementReader (void)
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

implements the <script> SCXML element.

Since
    Coin 3.1

Member Function Documentation

  SoType ScXMLScriptElt::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLExecutableElt.

  void ScXMLScriptElt::copyContents (const ScXMLElt * rhs) [virtual]

Reimplemented from ScXMLExecutableElt.

  void ScXMLScriptElt::execute (ScXMLStateMachine * statemachine) const [virtual]

Reimplemented from ScXMLExecutableElt.

Author

Generated automatically by Doxygen for Coin from the source code.